# Type Alias ScaleCallback

ScaleCallback: (
params: {
intersectPoint: THREE.Vector3;
offset: THREE.Vector3;
scalePosition: ScalePosition;
},
) => any

#### Type Declaration

- - (
    params: {
    intersectPoint: THREE.Vector3;
    offset: THREE.Vector3;
    scalePosition: ScalePosition;
    },
    ): any

  - #### Parameters

    - params: {
      intersectPoint: THREE.Vector3;
      offset: THREE.Vector3;
      scalePosition: ScalePosition;
      }

    #### Returns any

- Defined in lib/plugins/Object3DHelperPlugin/typing.ts:112